// custom shaders for q3mexxctf1
// created by mexx

// the custom shaders from q3mexx1 have been renamed to q3mexxctf1
// to prevent mix-ups as some of those have been reworked for the 
// ctf version of the map


// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon

// skyparms work like this: 

//*******************************************************
//*              Protoskyboxattempt  
//*******************************************************
textures/q3mexxctf1/bluesky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
        q3map_lightimage textures/skies/stars.tga
        q3map_surfacelight 41
        q3map_sun   .2 .4 1 32     325 65

        skyparms env/space1 230 -
       {
		map textures/skies/killsky_2.tga
		blendfunc GL_ONE GL_ONE
                tcMod scroll 0.015 0.02
		tcMod scale 3 2
	}
}



// based on textures/base_trim/proto_fence
// just with nomarks set

textures/q3mexxctf1/fence_nomarks
{
	qer_editorimage textures/base_trim/proto_fence.tga
	surfaceparm nomarks
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/base_trim/proto_fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}




// based on textures/gothic_light/pentagram_light1_1K
// but not light emitting

textures/q3mexxctf1/pentagram_nolight
{
	qer_editorimage textures/gothic_light/pentagram_light1.tga
	//mexx   q3map_surfacelight 1000
	//light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_light/pentagram_light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

	
	{
		map textures/gothic_light/pentagram_light1_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 1
	}
}

textures/q3mexxctf1/clip_metalsteps
{
	qer_trans 0.40
	surfaceparm 	nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
        //surfaceparm 	nolightmap //proto_addition 11/08/99
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm metalsteps
}




textures/q3mexxctf1/blocks17_beam
{
	
	qer_editorimage textures/gothic_block/blocks17_ow.tga

        {
		map textures/sfx/metalfloor_wall_14bglow2.tga
                tcmod scale 1.8 1.5
                tcmod rotate 8
                tcmod scroll .7 .5
                tcMod turb 0 .25 0 5.6
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/q3mexxctf1/beam.jpg
                tcmod scale 2 .5
                tcmod scroll 1 .43
	        blendFunc add
                rgbGen identity
	}
     	{
	        map textures/gothic_block/blocks17_ow.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}


textures/q3mexxctf1/blocks18_skin
{
	
	qer_editorimage textures/gothic_block/blocks18b_ow.tga

        {
		map textures/skin/skin6thrust.jpg
                //map textures/liquids/lavahell.tga
		tcMod turb 0 .27 0 .11
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
     	{
	        map textures/gothic_block/blocks18b_ow.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

textures/q3mexxctf1/blocks18c_num_shiny
{
	qer_editorimage textures/q3mexxctf1/blocks18c_num.tga

        {
		map textures/liquids/proto_grueldark2.tga
                blendFunc GL_ONE GL_ZERO
                tcmod scale 2 2
                tcMod scroll 0 -.06
                tcMod turb 0 0.11 0 .05
        }
        {
		map textures/effects/tinfx3.tga
                blendFunc GL_ONE GL_ONE
                tcGen environment
        }
       
	{
		map textures/q3mexxctf1/blocks18c_num.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}


textures/q3mexxctf1/mkc_evil_e3window_blue
{
	qer_editorimage textures/q3mexxctf1/windowevil2c_block18c_blue.tga
	//surfaceparm nomarks
	q3map_lightimage textures/q3mexxctf1/evil2cglow_blue.tga
	q3map_surfacelight 400
	// Glowing evil window for pj_dm4
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/q3mexxctf1/windowevil2c_block18c_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/q3mexxctf1/evil2cglow_blue.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/q3mexxctf1/evil_e3window_dark_blue
{
	qer_editorimage textures/q3mexxctf1/windowevil2c_block18c_blue.tga
	//surfaceparm nomarks
	q3map_lightimage textures/q3mexxctf1/evil2cglow_blue.tga
	q3map_surfacelight 100
	// Glowing evil window for temp in tim_dm7
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/q3mexxctf1/windowevil2c_block18c_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/q3mexxctf1/evil2cglow_blue.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/q3mexxctf1/blue_flame
{

	//	*************************************************
	//	*      	Blue Flame 				*
	//	*      	July 20, 1999 Surface Light 1800    	*	
	//	*	Please Comment Changes			*
	//	*************************************************
	qer_editorimage textures/sfx/b_flame7.tga
	q3map_lightimage textures/sfx/b_flame7.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 7500
	// texture changed to blue flame.... PAJ
	// 9/01 light dropped from 2500 to 1800 .... PAJ

	{
		animMap 10 textures/sfx/b_flame1.tga textures/sfx/b_flame2.tga textures/sfx/b_flame3.tga textures/sfx/b_flame4.tga textures/sfx/b_flame5.tga textures/sfx/b_flame6.tga textures/sfx/b_flame7.tga textures/sfx/b_flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/b_flame2.tga textures/sfx/b_flame3.tga textures/sfx/b_flame4.tga textures/sfx/b_flame5.tga textures/sfx/b_flame6.tga textures/sfx/b_flame7.tga textures/sfx/b_flame8.tga textures/sfx/b_flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/sfx/b_flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

textures/q3mexxctf1/hellfog_blue
//**************************************
//New death fog that must be in all maps with death fog
//**************************************
{
	qer_editorimage textures/sfx/hellfog.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	q3map_surfacelight 50
//	fogparms ( .5 .12 .1 ) 392
	fogparms ( .1 .12 .5 ) 392

	
	
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}

}

textures/q3mexxctf1/blocks17_beam_red
{
	
	qer_editorimage textures/gothic_block/blocks17_ow.tga

        {
		map textures/sfx/metalfloor_wall_9bglow.tga
                tcmod scale 2 1.7
                tcmod rotate 8
                tcmod scroll .7 .5
                tcMod turb 0 .25 0 5.6
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/q3mexxctf1/beam.jpg
                tcmod scale 2 .5
                tcmod scroll 1 .43
	        blendFunc add
                rgbGen identity
	}
     	{
	        map textures/gothic_block/blocks17_ow.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}


textures/q3mexxctf1/blocks17_ctf_red
{
	
	qer_editorimage textures/gothic_block/blocks17_ow.tga

        {
		map textures/sfx/metalfloor_wall_9bglow.tga
                tcmod scale 2 1.7
                tcmod rotate 8
                tcmod scroll .7 .5
                tcMod turb 0 .25 0 5.6
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
     	{
	        map textures/gothic_block/blocks17_ow.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

textures/q3mexxctf1/blocks17_ctf_blue
{
	
	qer_editorimage textures/gothic_block/blocks17_ow.tga

        {
		map textures/sfx/metalfloor_wall_14bglow2.tga
                tcmod scale 1.8 1.5
                tcmod rotate 8
                tcmod scroll .7 .5
                tcMod turb 0 .25 0 5.6
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
     	{
	        map textures/gothic_block/blocks17_ow.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}
